Package com.datecs.fiscalprinter.SDK.model

# Class DatecsFiscalDevice

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

Direct Known Subclasses:
  `cmdClients`, `cmdClients`, `cmdConfig`, `cmdConfig`, `cmdDisplay`, `cmdDisplay`, `cmdEJournal`, `cmdEJournal`, `cmdInfo`, `cmdInfo`, `cmdItems`, `cmdItems`, `cmdPinpad`, `cmdPinpad`, `cmdReceipt`, `cmdReceipt`, `cmdReport`, `cmdReport`, `cmdService`, `cmdService`

    public class DatecsFiscalDevice
    extends java.lang.Object

Main - device factory class.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DatecsFiscalDevice()` |
  `DatecsFiscalDevice​(int countryCode)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `checkErrorCode​(FiscalResponse commandResult)` |
  `void` | `close()` |
  `static FiscalDeviceV1` | `getConnectedECRV1()` |
  `static FiscalDeviceV2` | `getConnectedModelV2()` |
  `static FiscalPrinterV1` | `getConnectedPrinterV1()` |
  `static int` | `getCountryCode()` |
  `int` | `getMaxDepartments()` |
  `int` | `getMaxStockGroup()` |
  `static boolean` | `isCheckLastError()` |
  `boolean` | `isConnectedDeviceV2()` |
  `boolean` | `isConnectedECR()` |
  `boolean` | `isConnectedPrinter()` |
  `boolean` | `isEditItemPrice()` |
  `boolean` | `isEditItemQTY()` |
  `boolean` | `isFontSupported()` |
  `boolean` | `isPaperCuttingDevice()` |
  `void` | `setCheckLastError​(boolean checkLastErro)` |
  `void` | `setConnectedModel​(FiscalDeviceV1 connectedModel)` |
  `void` | `setConnectedModel​(FiscalDeviceV2 connectedFP)` |
  `void` | `setConnectedModel​(FiscalPrinterV1 connectedFP)` |
  `static void` | `setCountryCode​(int countryCode)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatecsFiscalDevice

    public DatecsFiscalDevice()

  - ### DatecsFiscalDevice

    public DatecsFiscalDevice​(int countryCode)

- ## Method Details

  - ### isCheckLastError

    public static boolean isCheckLastError()

  - ### setCheckLastError

    public void setCheckLastError​(boolean checkLastErro)

  - ### getCountryCode

    public static int getCountryCode()

  - ### setCountryCode

    public static void setCountryCode​(int countryCode)

  - ### getConnectedECRV1

    public static FiscalDeviceV1 getConnectedECRV1()

  - ### getConnectedPrinterV1

    public static FiscalPrinterV1 getConnectedPrinterV1()

  - ### getConnectedModelV2

    public static FiscalDeviceV2 getConnectedModelV2()

  - ### setConnectedModel

    public void setConnectedModel​(FiscalDeviceV1 connectedModel)

  - ### setConnectedModel

    public void setConnectedModel​(FiscalPrinterV1 connectedFP)

  - ### setConnectedModel

    public void setConnectedModel​(FiscalDeviceV2 connectedFP)

  - ### close

    public void close()

  - ### checkErrorCode

    public static void checkErrorCode​(FiscalResponse commandResult) throws FiscalException
    Throws:
      `FiscalException`

  - ### isConnectedPrinter

    public boolean isConnectedPrinter()

  - ### isConnectedECR

    public boolean isConnectedECR()

  - ### isConnectedDeviceV2

    public boolean isConnectedDeviceV2()

  - ### getMaxStockGroup

    public int getMaxStockGroup()
    Returns:
      Number of Stock Group departments per device

  - ### getMaxDepartments

    public int getMaxDepartments()
    Returns:
      Number of supported departments per device

  - ### isPaperCuttingDevice

    public boolean isPaperCuttingDevice()
    Returns:
      Specifies the capability of automatic paper cutters

  - ### isFontSupported

    public boolean isFontSupported()
    Returns:
      Determines the ability of printing devices to use different fonts

  - ### isEditItemQTY

    public boolean isEditItemQTY()
    Returns:
      True if is device supported changing quantity of programmed item?

  - ### isEditItemPrice

    public boolean isEditItemPrice()
    Returns:
      True if is device supported changing the price in the of programmed item?